/*
 * TextWindow.hpp
 *
 *  Created on: Jan 7, 2010
 *      Author: crueger
 */

#ifndef TEXTWINDOW_HPP_
#define TEXTWINDOW_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "MainWindow.hpp"

#include <string>
#include <set>

#include "Menu/TextMenu/TextMenu.hpp"

namespace MoleCuilder {
  class Action;
}
class StringView;
class TextStatusIndicator;
class TxMenu;


class TextWindow : public MainWindow
{
public:
  TextWindow();
  virtual ~TextWindow();

  virtual void display();

private:
  TextMenu<TxMenu> *main_menu;

  /** Helper function to enumerate all molecules in the World.
   *
   * \param out output stream to write to
   */
  void Enumerate(std::ostream *out);

  MoleCuilder::Action *quitAction;
  // all views that are contained in the main Menu
  StringView *moleculeView;
  TextStatusIndicator *statusIndicator;
};

#endif /* TEXTWINDOW_HPP_ */
